import { Database, Query } from '@deepkit/orm';
import { ClassType } from '@deepkit/core';
import { IGridRequestDto } from './GridRequestDto';
import GridResponse from './GridResponse';
export default abstract class AGrid<T> {
    private db;
    constructor(db: Database);
    protected abstract entity: ClassType;
    protected filterableColumns: Record<string, string> | null;
    protected sortableColumns: Record<string, string> | null;
    protected searchableColumns: string[] | null;
    filter(dto: IGridRequestDto): Promise<GridResponse<T>>;
    protected searchQuery(query: Query<any>): Query<any>;
    private addPaging;
    private addSorter;
    private addFilter;
    private getFilterableColumn;
    private static createExpression;
}
