"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class GridResponse {
    constructor(items, total, dto) {
        var _a, _b;
        this.items = items;
        this.search = dto.search;
        this.filter = dto.filter;
        this.sorter = dto.sorter;
        const itemsPerPage = ((_a = dto.paging) === null || _a === void 0 ? void 0 : _a.itemsPerPage) || 10;
        const lastPage = Math.max(Math.ceil(total / itemsPerPage), 1);
        const page = ((_b = dto.paging) === null || _b === void 0 ? void 0 : _b.page) || 1;
        this.paging = {
            page,
            itemsPerPage,
            total,
            nextPage: Math.min(page + 1, lastPage),
            lastPage,
            previousPage: Math.max(page - 1, 1),
        };
    }
}
exports.default = GridResponse;
